<?xml version="1.0" encoding="utf-8"?>

<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:id="@+id/root_layout"
    tools:context=".ui.activity.CategoryListActivity">


    <ImageView
        android:id="@+id/im_bg"
        android:layout_width="match_parent"
        android:layout_height="200dp" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <RelativeLayout
                android:id="@+id/layout_covert"
                android:layout_marginTop="60dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/imCovert"
                    android:layout_width="250dp"
                    android:layout_height="220dp"
                    android:layout_centerHorizontal="true" />

                <TextView
                    android:id="@+id/tvTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/imCovert"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="20dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="20dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="21sp" />

                <TextView
                    android:id="@+id/tvSingerName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/tvTitle"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="5dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginEnd="20dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tvSubTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/tvSingerName"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="5dp"
                    android:layout_marginStart="20dp"
                    android:layout_marginEnd="20dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/btn_play"
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_below="@id/tvSubTitle"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="15dp"
                    android:visibility="invisible"
                    android:src="@drawable/selector_icon_play" />


                <ProgressBar
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:indeterminateTint="@color/white"
                    android:id="@+id/pb_loading"/>

            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerview"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


    <FrameLayout
        android:layout_width="match_parent"
        android:background="@color/black"
        android:layout_height="60dp">

        <ImageView
            android:id="@+id/im_back"
            android:layout_width="42dp"
            android:layout_height="match_parent"
            android:layout_marginStart="16dp"
            android:padding="9dp"
            android:src="@drawable/arrow_bottom" />
    </FrameLayout>
</FrameLayout>
